#!/bin/bash
# 
# SCRIPT NAME:
# power.sh
#
# AUTHOR:
# Severin Kaderli <severin.kaderli@gmail.com>
#
# DESCRIPTION:
# Displays a power menu using rofi.
#
# USAGE:
# ./power.sh

# The rofi prompt
PROMPT="Power Options"

# Actions for the menu
ACTIONS=(
    "1: Reboot"
    "2: Shutdown"
    "3: Lock Screen"
    "4: Performance Mode"
    "5: Powersave Mode"
)

SELECTION=$(printf '%s\n' "${ACTIONS[@]}" | rofi -dmenu -p "${PROMPT}" | cut -d ":" -f1)
case "${SELECTION}" in
    "1")
        systemctl reboot
        ;;
    "2")
        systemctl poweroff
        ;;
    "3")
        screenlock.sh
        ;;
    "5")
        gksudo "cpupower frequency-set -g performance"
        optirun -b primus nvidia-settings -a '[gpu:0]/GPUPowerMizerMode=2' -c :8 > /dev/null
        ;;
    "6")
        gksudo "cpupower frequency-set -g powersave"
        optirun -b primus nvidia-settings -a '[gpu:0]/GPUPowerMizerMode=0' -c :8 > /dev/null
        ;;
esac
